Home > Element Reference : Script

Contents

### Script

Much like the HTML script element, this is used to declare a script to be used by the XUL window. You should usually put scripts in a separate file pointed to by the src attribute, but you may also place the script inline inside the opening and closing script tags.

More information about Script

Example:

        <script src="test.js"/>

#### Attributes:

Attributes inherited from XUL Element

src

The URL of the script.

type

The language of the script. Usually, you would set this to 'application/x-javascript'.

#### Properties and Methods:

Properties and Methods inherited from XUL Element

Copyright (C) 1999 - 2002 XULPlanet.com